import { Table } from '@equinor/eds-core-react';
import { TableFooterCell } from './TableFooterCell.js';
import { jsx } from 'react/jsx-runtime';

function TableFooterRow({
  footerGroup,
  columnResizeMode,
  deltaOffset,
  table
}) {
  return /*#__PURE__*/jsx(Table.Row, {
    children: footerGroup.headers.map(footer => /*#__PURE__*/jsx(TableFooterCell, {
      footer: footer,
      table: table,
      columnResizeMode: columnResizeMode,
      deltaOffset: deltaOffset
    }, footer.id))
  });
}

export { TableFooterRow };
